apiVersion: kiali.io/v1alpha1
kind: Kiali
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: >
      {"apiVersion":"kiali.io/v1alpha1","kind":"Kiali","metadata":{"annotations":{"maistra.io/mesh-generation":"1.1.3-1"},"labels":{"app.kubernetes.io/component":"kiali","app.kubernetes.io/instance":"istio-system","app.kubernetes.io/managed-by":"maistra-istio-operator","app.kubernetes.io/name":"kiali","app.kubernetes.io/part-of":"istio","app.kubernetes.io/version":"1.1.3-1","maistra.io/owner":"istio-system"},"name":"kiali","namespace":"istio-system","ownerReferences":[{"apiVersion":"maistra.io/v1","blockOwnerDeletion":true,"controller":true,"kind":"ServiceMeshControlPlane","name":"basic-install","uid":"e2731c89-f685-4de8-b640-629dc0f6cf5f"}]},"spec":{"auth":{"strategy":"openshift"},"deployment":{"accessible_namespaces":["istio-system"],"image_pull_policy":"IfNotPresent","ingress_enabled":true,"namespace":"istio-system"},"external_services":{"grafana":{"auth":{"ca_file":"/var/run/secrets/kubernetes.io/serviceaccount/service-ca.crt","password":"Vee5Ao+055D8unf85CJtiBi7gQfhOVGR/Jmc/2vjAhVRtSSb6BxyUMM0fwRQPoYi0ZOwjV/TaRmiZvKhvOoRXAPDhY2Y5blva9gXWlLL3ysw1p8pD/Q8TDbKkqzt1wIxJcjSPVjKHp9Xd/Hbj8OQm1xzFsDDPvCdHjcckI7hpnDXnRgB7XPanC5n46vzlgkpns1PaL0dRSqba1BxsIISzX8LlCaqO0HXgokNxkVhFfUUc+js248R/WSWg1CS/sq0nBLHM0TnMz65yNr3DcOKXiYNU/7GrrZixbFzEVH1Xx9Kf98kfZPFK1lKXVJJ5LQuzjRE5Rr8vBkb292b5nf7","type":"basic","use_kiali_token":false,"username":"internal"},"enabled":true,"in_cluster_url":"https://grafana.istio-system.svc:3000","url":"https://grafana-istio-system.apps.fbr-45-ipi.maistra.upshift.redhat.com"},"prometheus":{"auth":{"ca_file":"/var/run/secrets/kubernetes.io/serviceaccount/service-ca.crt","password":"Vee5Ao+055D8unf85CJtiBi7gQfhOVGR/Jmc/2vjAhVRtSSb6BxyUMM0fwRQPoYi0ZOwjV/TaRmiZvKhvOoRXAPDhY2Y5blva9gXWlLL3ysw1p8pD/Q8TDbKkqzt1wIxJcjSPVjKHp9Xd/Hbj8OQm1xzFsDDPvCdHjcckI7hpnDXnRgB7XPanC5n46vzlgkpns1PaL0dRSqba1BxsIISzX8LlCaqO0HXgokNxkVhFfUUc+js248R/WSWg1CS/sq0nBLHM0TnMz65yNr3DcOKXiYNU/7GrrZixbFzEVH1Xx9Kf98kfZPFK1lKXVJJ5LQuzjRE5Rr8vBkb292b5nf7","type":"basic","use_kiali_token":false,"username":"internal"},"url":"https://prometheus.istio-system.svc:9090"},"tracing":{"auth":{"ca_file":"/var/run/secrets/kubernetes.io/serviceaccount/service-ca.crt","password":"Vee5Ao+055D8unf85CJtiBi7gQfhOVGR/Jmc/2vjAhVRtSSb6BxyUMM0fwRQPoYi0ZOwjV/TaRmiZvKhvOoRXAPDhY2Y5blva9gXWlLL3ysw1p8pD/Q8TDbKkqzt1wIxJcjSPVjKHp9Xd/Hbj8OQm1xzFsDDPvCdHjcckI7hpnDXnRgB7XPanC5n46vzlgkpns1PaL0dRSqba1BxsIISzX8LlCaqO0HXgokNxkVhFfUUc+js248R/WSWg1CS/sq0nBLHM0TnMz65yNr3DcOKXiYNU/7GrrZixbFzEVH1Xx9Kf98kfZPFK1lKXVJJ5LQuzjRE5Rr8vBkb292b5nf7","type":"basic","use_kiali_token":false,"username":"internal"},"enabled":false,"in_cluster_url":"https://jaeger-query.istio-system.svc","namespace":"istio-system","service":"","url":""}},"installation_tag":"Kiali
      [istio-system]","istio_namespace":"istio-system","version":"v1.12"}}
    maistra.io/mesh-generation: 1.1.3-1
  selfLink: /apis/kiali.io/v1alpha1/namespaces/istio-system/kialis/kiali
  resourceVersion: '49616'
  name: kiali
  uid: a0a3ae99-4fee-4e0d-86a1-b4d353064b8a
  creationTimestamp: '2020-06-25T07:13:27Z'
  generation: 1
  managedFields:
    - apiVersion: kiali.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:kubectl.kubernetes.io/last-applied-configuration': {}
            'f:maistra.io/mesh-generation': {}
          'f:labels':
            .: {}
            'f:app.kubernetes.io/component': {}
            'f:app.kubernetes.io/instance': {}
            'f:app.kubernetes.io/managed-by': {}
            'f:app.kubernetes.io/name': {}
            'f:app.kubernetes.io/part-of': {}
            'f:app.kubernetes.io/version': {}
            'f:maistra.io/owner': {}
          'f:ownerReferences': {}
        'f:spec':
          .: {}
          'f:auth':
            .: {}
            'f:strategy': {}
          'f:deployment':
            .: {}
            'f:accessible_namespaces': {}
            'f:image_pull_policy': {}
            'f:ingress_enabled': {}
            'f:namespace': {}
          'f:external_services':
            .: {}
            'f:grafana':
              .: {}
              'f:auth':
                .: {}
                'f:ca_file': {}
                'f:password': {}
                'f:type': {}
                'f:use_kiali_token': {}
                'f:username': {}
              'f:enabled': {}
              'f:in_cluster_url': {}
              'f:url': {}
            'f:prometheus':
              .: {}
              'f:auth':
                .: {}
                'f:ca_file': {}
                'f:password': {}
                'f:type': {}
                'f:use_kiali_token': {}
                'f:username': {}
              'f:url': {}
            'f:tracing':
              .: {}
              'f:auth':
                .: {}
                'f:ca_file': {}
                'f:password': {}
                'f:type': {}
                'f:use_kiali_token': {}
                'f:username': {}
              'f:enabled': {}
              'f:in_cluster_url': {}
              'f:namespace': {}
              'f:service': {}
              'f:url': {}
          'f:installation_tag': {}
          'f:istio_namespace': {}
          'f:version': {}
      manager: istio-operator
      operation: Update
      time: '2020-06-25T07:13:27Z'
    - apiVersion: kiali.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers': {}
        'f:status':
          .: {}
          'f:conditions': {}
      manager: ansible-operator
      operation: Update
      time: '2020-06-25T07:14:14Z'
  namespace: istio-system
  ownerReferences:
    - apiVersion: maistra.io/v1
      blockOwnerDeletion: true
      controller: true
      kind: ServiceMeshControlPlane
      name: basic-install
      uid: e2731c89-f685-4de8-b640-629dc0f6cf5f
  finalizers:
    - finalizer.kiali
  labels:
    app.kubernetes.io/component: kiali
    app.kubernetes.io/instance: istio-system
    app.kubernetes.io/managed-by: maistra-istio-operator
    app.kubernetes.io/name: kiali
    app.kubernetes.io/part-of: istio
    app.kubernetes.io/version: 1.1.3-1
    maistra.io/owner: istio-system
spec:
  auth:
    strategy: openshift
  deployment:
    accessible_namespaces:
      - istio-system
    image_pull_policy: IfNotPresent
    ingress_enabled: true
    namespace: istio-system
  external_services:
    grafana:
      auth:
        ca_file: /var/run/secrets/kubernetes.io/serviceaccount/service-ca.crt
        password: >-
          Vee5Ao+055D8unf85CJtiBi7gQfhOVGR/Jmc/2vjAhVRtSSb6BxyUMM0fwRQPoYi0ZOwjV/TaRmiZvKhvOoRXAPDhY2Y5blva9gXWlLL3ysw1p8pD/Q8TDbKkqzt1wIxJcjSPVjKHp9Xd/Hbj8OQm1xzFsDDPvCdHjcckI7hpnDXnRgB7XPanC5n46vzlgkpns1PaL0dRSqba1BxsIISzX8LlCaqO0HXgokNxkVhFfUUc+js248R/WSWg1CS/sq0nBLHM0TnMz65yNr3DcOKXiYNU/7GrrZixbFzEVH1Xx9Kf98kfZPFK1lKXVJJ5LQuzjRE5Rr8vBkb292b5nf7
        type: basic
        use_kiali_token: false
        username: internal
      enabled: true
      in_cluster_url: 'https://grafana.istio-system.svc:3000'
      url: 'https://grafana-istio-system.apps.fbr-45-ipi.maistra.upshift.redhat.com'
    prometheus:
      auth:
        ca_file: /var/run/secrets/kubernetes.io/serviceaccount/service-ca.crt
        password: >-
          Vee5Ao+055D8unf85CJtiBi7gQfhOVGR/Jmc/2vjAhVRtSSb6BxyUMM0fwRQPoYi0ZOwjV/TaRmiZvKhvOoRXAPDhY2Y5blva9gXWlLL3ysw1p8pD/Q8TDbKkqzt1wIxJcjSPVjKHp9Xd/Hbj8OQm1xzFsDDPvCdHjcckI7hpnDXnRgB7XPanC5n46vzlgkpns1PaL0dRSqba1BxsIISzX8LlCaqO0HXgokNxkVhFfUUc+js248R/WSWg1CS/sq0nBLHM0TnMz65yNr3DcOKXiYNU/7GrrZixbFzEVH1Xx9Kf98kfZPFK1lKXVJJ5LQuzjRE5Rr8vBkb292b5nf7
        type: basic
        use_kiali_token: false
        username: internal
      url: 'https://prometheus.istio-system.svc:9090'
    tracing:
      auth:
        ca_file: /var/run/secrets/kubernetes.io/serviceaccount/service-ca.crt
        password: >-
          Vee5Ao+055D8unf85CJtiBi7gQfhOVGR/Jmc/2vjAhVRtSSb6BxyUMM0fwRQPoYi0ZOwjV/TaRmiZvKhvOoRXAPDhY2Y5blva9gXWlLL3ysw1p8pD/Q8TDbKkqzt1wIxJcjSPVjKHp9Xd/Hbj8OQm1xzFsDDPvCdHjcckI7hpnDXnRgB7XPanC5n46vzlgkpns1PaL0dRSqba1BxsIISzX8LlCaqO0HXgokNxkVhFfUUc+js248R/WSWg1CS/sq0nBLHM0TnMz65yNr3DcOKXiYNU/7GrrZixbFzEVH1Xx9Kf98kfZPFK1lKXVJJ5LQuzjRE5Rr8vBkb292b5nf7
        type: basic
        use_kiali_token: false
        username: internal
      enabled: false
      in_cluster_url: 'https://jaeger-query.istio-system.svc'
      namespace: istio-system
      service: ''
      url: ''
  installation_tag: 'Kiali [istio-system]'
  istio_namespace: istio-system
  version: v1.12
status:
  conditions:
    - ansibleResult:
        changed: 12
        completion: '2020-06-25T07:14:14.656441'
        failures: 0
        ok: 88
        skipped: 58
      lastTransitionTime: '2020-06-25T07:13:27Z'
      message: Awaiting next reconciliation
      reason: Successful
      status: 'True'
      type: Running
